Множественные уязвимости в GNU C Library

Дата публикации:
12.09.2014
Дата изменения:
12.09.2014
Всего просмотров:
1026
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
CVE ID:
CVE-2014-5119
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU C Library (glibc) 2.x
Уязвимые версии: GNU C Library 2.19, возможно более ранние версии

Описание:
Уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки в функции "__gconv_translit_find()" в файле iconv/gconv_trans.c. Удаленный пользователь может вызвать переполнение динамической памяти.

Примечание: Успешная эксплуатации уязвимости позволяет выполнить произвольный код на целевой системе.

URL производителя: http://www.gnu.org/software/libc/libc.html

Решение: Установите последнюю версию 2.20 с сайта производителя.

Ссылки: https://sourceware.org/bugzilla/show_bug.cgi?id=17187
https://sourceware.org/ml/libc-alpha/2014-09/msg00088.html
http://www.openwall.com/lists/oss-security/2014/08/13/5
https://www.sourceware.org/ml/libc-alpha/2005-12/msg00091.html